package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;

/**
 * club
 *
 * @author
 */
@Data
public class Club implements Serializable {
    /**
     * 会所ID
     */
    private Integer clubID;

    /**
     * 用户ID
     */
    private Integer userID;

    /**
     * 【已废弃】会所类型
     */
    private Integer clubTypeID;

    /**
     * 会所名称
     */
    private String name;

    /**
     * 简称
     */
    private String sname;

    /**
     * 会所英文名称
     */
    private String nameEn;

    /**
     * 网址
     */
    private String site;

    /**
     * logo
     */
    private String logo;

    /**
     * 【已废弃】未知
     */
    private Double level;

    /**
     * 【已废弃】未知
     */
    private Double score;

    /**
     * 【已废弃】子会所数量
     */
    private Integer subClubCount;

    /**
     * 法人
     */
    private String legalPerson;

    /**
     * 省
     */
    private Integer provinceID;

    /**
     * 市
     */
    private Integer cityID;

    /**
     * 地址ID
     */
    private Integer townID;

    /**
     * 是否同意协议
     */
    private String agreement;

    /**
     * 拉会所上线的用户的cmBindId,以逗号结尾
     */
    private String flag;

    /**
     * 邀请者cmBindId
     */
    private Integer inviterBindID;

    /**
     * 邀请者名称
     */
    private String inviterName;

    /**
     * 协销Id
     */
    private Integer spID;

    /**
     * 协销经理Id
     */
    private Integer mainServiceProviderID;

    /**
     * 扫描时间
     */
    private String scanTime;

    /**
     * 上线时间
     */
    private String checkTime;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 注册资金
     */
    private Double registeredCapital;

    /**
     * 集团会所ID
     */
    private Integer mainClubID;

    /**
     * 营业额
     */
    private Double turnover;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 联系电话
     */
    private String contractPhone;

    /**
     * 联系手机
     */
    private String contractMobile;

    /**
     * 传真
     */
    private String fax;

    /**
     * 邮编
     */
    private String zipCode;

    /**
     * 联系人
     */
    private String linkMan1;

    /**
     * 职务
     */
    private String duty1;

    /**
     * 联系电话1
     */
    private String contractPhone1;

    /**
     * 手机号1
     */
    private String contractMobile1;

    /**
     * 联系QQ
     */
    private String contractQQ1;

    /**
     * 微信号
     */
    private String wechat1;

    /**
     * 联系邮箱
     */
    private String contractEmail1;

    /**
     * 联系人
     */
    private String linkMan2;

    /**
     * 职务
     */
    private String duty2;

    /**
     * 联系电话
     */
    private String contractPhone2;

    /**
     * 联系手机
     */
    private String contractMobile2;

    /**
     * 联系QQ
     */
    private String contractQQ2;

    /**
     * 微信号
     */
    private String wechat2;

    /**
     * 联系邮箱
     */
    private String contractEmail2;

    /**
     * 经营范围
     */
    private String scope;

    /**
     * 公司简介
     */
    private String info;

    /**
     * 纬度
     */
    private Double lng;

    /**
     * 经度
     */
    private Double lat;

    /**
     * 注册时间
     */
    private String addTime;

    /**
     * 收藏量
     */
    private Integer favoriteTimes;

    /**
     * 支付
     */
    private String payFlag1;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核备注
     */
    private String auditNote;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 集团会所邀请状态
     */
    private String clubInvitationStatus;

    /**
     * 收货地址
     */
    private String recAddress;

    /**
     * 营业执照
     */
    private String businessLicenseImage;

    /**
     * 排序值
     */
    private Integer sortIndex;

    /**
     * 收货地址县级ID
     */
    private Integer recTownID;

    /**
     * 默认的创客
     */
    private Integer defaultServiceProviderID;

    /**
     * 创客更新时间
     */
    private String defaultServiceProviderUpdTime;

    /**
     * 第一次服务标志
     */
    private String firstServiceProviderFlag;

    /**
     * 规模
     */
    private String scale;

    /**
     * 员工数
     */
    private Integer empnum;

    /**
     * 主打项目
     */
    private String mainpro;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扫描状态 0待扫描 1 已扫描 2已上线
     */
    private String scanFlag;

    /**
     * 门头照
     */
    private String headpic;

    /**
     * 最后更新时间
     */
    private String lastModify;

    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;

    /**
     * 一级分类为医美=1和生美=2
     */
    private String firstClubType;

    /**
     * 医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类
     */
    private String secondClubType;

    /**
     * 若为医美分类下的门诊和医院则需要填写科室。
     */
    private String department;

    /**
     * 医美分类必须上传医疗执业许可证
     */
    private String medicalPracticeLicenseImg;

    private static final long serialVersionUID = 1L;
}
