package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * logistics_information
 * @author
 */
@Data
public class LogisticsInformation implements Serializable {
    private Long id;

    /**
     * 发货批次表ID
     */
    private Long logisticsBatchID;

    /**
     * 类型：1 采美365  2 呵呵商城 3 大宗采购
     */
    private String type;

    /**
     * 子订单编号
     */
    private Long shopOrderID;

    /**
     * 订单商品ID
     */
    private Long orderProductID;

    /**
     * 订单ID
     */
    private Long orderID;

    /**
     * 快递单号
     */
    private String nu;

    /**
     * 快递单当前的状态（0：在途，即货物处于运输过程中；1：揽件，货物已由快递公司揽收并且产生了第一条跟踪信息；2：疑难，货物寄送过程出了问题；3：签收，收件人已签收；4：退签，即货物由于用户拒签、超区等原因退回，而且发件人已经签收；5：派件，即快递正在进行同城派件；6：退回，货物正处于退回发件人的途中；）
     */
    private String state;

    /**
     * 物流跟踪信息
     */
    private String info;

    /**
     * 物流公司名称
     */
    private String logisticsCompanyName;

    /**
     * 物流公司代码
     */
    private String logisticsCompanyCode;

    /**
     * 供应商ID
     */
    private Long shopID;

    /**
     * 最后更新时间
     */
    private Date updateDate;

    /**
     * 备注
     */
    private String remarks;

    private static final long serialVersionUID = 1L;
}
