package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.CmOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/18
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OrderVo extends CmOrder {

    /**
     * 订单状态:0全部,1待付款,2待发货,3已发货,4退货款
     */
    private Integer orderState;

    /**
     * 订单标识:#订单号#
     */
    private String orderMark;

    /**
     * 收款总金额
     */
    private BigDecimal receiptAmount;

    /**
     * 退款总金额
     */
    private BigDecimal returnedPurchaseFee;

    /**
     * 总税费
     */
    private BigDecimal ExpensesOfTaxation;

    /**
     * 子订单信息
     */
    private List<ShopOrderVo> shopOrderList;
}
